Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleOclSet

    java.lang.Object
      java.util.AbstractCollection
          com.ibm.able.rules.AbleOclCollection
              com.ibm.able.rules.AbleOclSet

All Implemented Interfaces:
  java.util.Collection, java.io.Serializable

public class AbleOclSet
extends AbleOclCollection
implements java.io.Serializable

This class defines an OCL Set. The underlying implementation is built on java.util.HashSet and its methods are surfaced as well.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.rules.AbleOclCollection
`myCollection`

Constructor Summary
`AbleOclSet()` Create a new, empty Set.
`AbleOclSet(AbleOclCollection theAbleOclCollection)` Create a new Set based on the specified OCL collection.
`AbleOclSet(java.util.Collection theCollection)` Create a new Set based on the specified Java collection.

Method Summary
`java.lang.Object` | `clone()`
`AbleOclSet` | `difference(AbleOclSet theSet)` Returns a new Set that is the difference of this Set and the specified Set.
`boolean` | `eq(java.lang.Object theObject)`
`boolean` | `equals(java.lang.Object theObject)` Returns true iff this set and the argument set have the same number of the same elements.
`AbleOclCollection` | `excluding(java.lang.Object theObject)` Returns a new collection comprised of this collection with the specified object removed.
`AbleOclCollection` | `flatten()` Flattens the elements of this collection.
`int` | `hashCode()`
`AbleOclCollection` | `including(java.lang.Object theObject)` Returns a new collection comprised of this collection and the specified object.
`AbleOclCollection` | `intersection(AbleOclBag theBag)` Returns a new collection that is the intersection of this collection and the specified Bag.
`AbleOclSet` | `intersection(AbleOclSet theSet)` Returns a new collection that is the intersection of this collection and the specified Set.
`void` | `setCollection(java.util.Collection theCollection)` Sets the value of the underlying collection to be the specified collection.
`AbleOclSet` | `symmetricDifference(AbleOclSet theSet)` Returns a new Set that is the symmetric difference of this Set and the specified Set.
`AbleOclBag` | `union(AbleOclBag theBag)` Returns a new collection that is the union of this collection and the specified Bag.
`AbleOclCollection` | `union(AbleOclSet theSet)` Returns a new collection that is the union of this collection and the specified Set.

Methods inherited from class com.ibm.able.rules.AbleOclCollection
`add, addAll, any, append, asBag, asOrderedSet, asSequence, asSet, at, clear, collect, contains, containsAll, count, excludes, excludesAll, exists, first, flatten, forAll, getCollection, hasAtLeast, hasAtMost, hasBetween, hasExactly, includes, includesAll, indexOf, insertAt, intersection, isEmpty, isUnique, iterator, last, notEmpty, one, prepend, product, reject, remove, removeAll, retainAll, select, size, subOrderedSet, subSequence, sum, toArray, toArray, union`

Methods inherited from class java.util.AbstractCollection
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleOclSet

    public AbleOclSet()

  Create a new, empty Set.

### AbleOclSet

    public AbleOclSet(java.util.Collection theCollection)

  Create a new Set based on the specified Java collection.

Parameters:
  `theCollection` - A collection on which to base the new Set.

### AbleOclSet

    public AbleOclSet(AbleOclCollection theAbleOclCollection)

  Create a new Set based on the specified OCL collection.

Parameters:
  `theAbleOclCollection` - A collection on which to base the new Set.

Method Detail

### flatten

    public AbleOclCollection flatten()

  Description copied from class: `AbleOclCollection`
  Flattens the elements of this collection.

  Overrides:
    `flatten` in class `AbleOclCollection`
  Returns:
    If the elements of this collection are not themselves collections, this collection itself is returned. If the elements are collections, the returned value is a new collection containing all the elements of all the subcollections.

### including

    public AbleOclCollection including(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection comprised of this collection and the specified object.

  Overrides:
    `including` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to add to the new collection.

  Returns:
    a new collection comprised of this collection and the specified object.

### excluding

    public AbleOclCollection excluding(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection comprised of this collection with the specified object removed.

  Overrides:
    `excluding` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to remove from the new collection.

  Returns:
    a new collection comprised of this collection with the specified object removed.

### intersection

    public AbleOclCollection intersection(AbleOclBag theBag)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is the intersection of this collection and the specified Bag.

  Overrides:
    `intersection` in class `AbleOclCollection`
  Parameters:
    `theBag` - A collection to examine with this collection.

  Returns:
    a Bag if this collection is a Bag; a Set if this collection is a Set.

### intersection

    public AbleOclSet intersection(AbleOclSet theSet)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is the intersection of this collection and the specified Set.

  Overrides:
    `intersection` in class `AbleOclCollection`
  Parameters:
    `theSet` - A collection to examine with this collection.

  Returns:
    a new Set that is the intersection of this collection and the specified Set.

### union

    public AbleOclBag union(AbleOclBag theBag)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is the union of this collection and the specified Bag.

  Overrides:
    `union` in class `AbleOclCollection`
  Parameters:
    `theBag` - A collection to examine with this collection.

  Returns:
    a new Bag that is the union of this collection and the specified Bag.

### union

    public AbleOclCollection union(AbleOclSet theSet)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is the union of this collection and the specified Set.

  Overrides:
    `union` in class `AbleOclCollection`
  Parameters:
    `theSet` - A collection to examine with this collection.

  Returns:
    If this collection is a Bag, a new Bag that is the union of this collection and the specified Set. If this collection is a Set, a new Set that is the union of this collection and the specified Set.

### difference

    public AbleOclSet difference(AbleOclSet theSet)

  Description copied from class: `AbleOclCollection`
  Returns a new Set that is the difference of this Set and the specified Set.

  Overrides:
    `difference` in class `AbleOclCollection`
  Parameters:
    `theSet` - A Set to examine with this Set.

  Returns:
    a new Set that is the difference of this Set and the specified Set.

### symmetricDifference

    public AbleOclSet symmetricDifference(AbleOclSet theSet)

  Description copied from class: `AbleOclCollection`
  Returns a new Set that is the symmetric difference of this Set and the specified Set.

  Overrides:
    `symmetricDifference` in class `AbleOclCollection`
  Parameters:
    `theSet` - A Set to examine with this Set.

  Returns:
    a new Set that is the symmetric difference of this Set and the specified Set.

### setCollection

    public void setCollection(java.util.Collection theCollection)

  Description copied from class: `AbleOclCollection`
  Sets the value of the underlying collection to be the specified collection. Use this method only when the null argument constructor has been used to create this collection. (This in itself is discouraged, but since AbleOclCollection can function as a sort of generic Java Collection, the operation isn't forbidden; that is, the constructors are purposely 'public' rather than 'protected'.)

  Overrides:
    `setCollection` in class `AbleOclCollection`
  Parameters:
    `theCollection` - The collection that is to be the value of this collection.

### eq

    public boolean eq(java.lang.Object theObject)

### equals

    public boolean equals(java.lang.Object theObject)

  Returns true iff this set and the argument set have the same number of the same elements. theObject is expected to be an AbleOclSet, HashSet, LinkedHashSet, TreeSet... anything implementing the Set interface.

  Specified by:
    `equals` in interface `java.util.Collection`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection`

### clone

    public java.lang.Object clone()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005